Bug 189564 - wxGTK package not providing virtual wxwin package
wxGTK package not providing virtual wxwin package
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-20 23:20 EDT by Ben Coleman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-21 11:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Coleman 2006-04-20 23:20:28 EDT
Description of problem:

There's a convention that packages of WxWindows ports should provide a (virtual)
package wxwin, so that packages can depend on the presence of a WxWindows port,
regardless of the toolkit used (e.g., see
http://dag.wieers.com/packages/wxGTK/wxGTK.spec).  The FC4 and FC5 Extras
packages don't provide this.
Comment 1 Matthew Miller 2006-04-20 23:35:26 EDT
Hmmm. See comment #5 in bug #154618. That's about "wxWindows" rather than
"wxwin", but I think the same logic applies.....
Comment 2 Ben Coleman 2006-04-21 00:14:56 EDT
In other words, the packages might connect at the package dependency level, but
they're not going to connect at the link level?  If you've built against wxGTK,
it's not going to link against wxqt, because there's a common API at the source
level, but not a common ABI at the link level.  Silly me, I figured if the
convention existed, it would actually work.
Comment 3 Matthew Miller 2006-04-21 11:37:32 EDT
Teh generated libraries are all things like "libwx_gtk2u_core", and so
presumably "libwx_qt_core" or "libwx_motif_core". So I don't think we even need
to test to see that it won't work.....

I'm going to close this as WONTFIX. Reopen if I'm wrong. :)

Note You need to log in before you can comment on or make changes to this bug.